AgentConnect
Agents

Start a memory dream

Kick off an offline consolidation job over the managed store on the owning daemon. Returns the pending job; poll it for status. 400 if dreaming is not enabled, 409 if one is already in flight, 503 when the daemon is offline.

POST
/v1/orgs/{orgId}/agents/{id}/memory/dreams

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/agents/string/memory/dreams" \  -H "Content-Type: application/json" \  -d '{}'
{  "dreamId": "string",  "agentId": "string",  "status": "pending",  "trigger": "manual",  "sessionIds": [    "string"  ],  "snapshotDigest": "string",  "executionSessionId": "string",  "runtime": "string",  "model": "string",  "stopReason": "string",  "instructions": "string",  "skills": [    {      "name": "string",      "description": "string",      "state": "proposed"    }  ],  "usage": {    "reportedAt": "string",    "totalTokens": 0,    "inputTokens": 0,    "outputTokens": 0,    "thoughtTokens": 0,    "cachedReadTokens": 0,    "cachedWriteTokens": 0,    "contextUsed": 0,    "contextSize": 0,    "costAmount": 0,    "costCurrency": "string",    "inputBytes": 0,    "outputBytes": 0  },  "error": {    "type": "string",    "message": "string"  },  "createdAt": "string",  "endedAt": "string"}